from rover import Rover
from rover.rover import DIRECTIONS

def test_can_land():
    assert Rover()


def test_has_location_and_direction():
    rover = Rover()
    assert isinstance(rover.location.x, int)
    assert isinstance(rover.location.y, int)
    assert rover.location.direction in DIRECTIONS

def test_can_land_at_specified_location():
    rover = Rover(x=1, y=2, direction='E')
    assert rover.location.x == 1
